﻿using System;
using System.Collections.Generic;
using System.Text;

namespace GridPasteSample
{
    public class GridObject
    {
        private int? intColumn;
        private string strColumn;
        private string strColumnNonlookup;

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public int? IntColumn
        {
            get { return intColumn; }
            set { intColumn = value; }
        }

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public string StrColumn
        {
            get { return strColumn; }
            set { strColumn = value; }
        }

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public string StrColumnNonlookup
        {
            get { return strColumnNonlookup; }
            set { strColumnNonlookup = value; }
        }
    }
    public class IntLookupObject
    {
        private int _id;
        private string _name;

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
    }
    public class StrLookupObject
    {
        private string _code;
        private string _name;

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public string Code
        {
            get { return _code; }
            set { _code = value; }
        }

        [System.ComponentModel.Bindable(System.ComponentModel.BindableSupport.Yes)]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }
    }
}
