﻿using System;
using System.Collections.Generic;
using System.Text;
using Infragistics.Win.UltraWinGrid;
using System.Windows.Forms;

namespace GridPasteSample
{
    public class IntLookupMngt : BaseEntityMngt2
    {
        private List<IntLookupObject> _entityList;

        public List<IntLookupObject> EntityList
        {
            get { return _entityList; }
            set { _entityList = value; }
        }

        public UltraDropDown CreateDropdown()
        {
            UltraDropDown dropdown = new UltraDropDown();
            dropdown.DisplayLayout.MaxBandDepth = 1;
            EntityBindingSource.DataSource = CreateIntLookupList();
            dropdown.DataSource = EntityBindingSource;
            dropdown.DisplayMember = "Name";
            dropdown.ValueMember = "Id";
            return dropdown;
        }
        public List<IntLookupObject> CreateIntLookupList()
        {
            List<IntLookupObject> lookupList = new List<IntLookupObject>();
            IntLookupObject obj1 = new IntLookupObject();
            obj1.Id = 1;
            obj1.Name = "One";
            lookupList.Add(obj1);
            IntLookupObject obj2 = new IntLookupObject();
            obj2.Id = 2;
            obj2.Name = "Two";
            lookupList.Add(obj2);
            return lookupList;
        }
    }
}
