﻿using System;
using System.Collections.Generic;
using System.Text;
using Infragistics.Win.UltraWinGrid;
using System.Windows.Forms;

namespace GridPasteSample
{
    public class StrLookupMngt : BaseEntityMngt2
    {
        private List<StrLookupObject> _entityList;

        public List<StrLookupObject> EntityList
        {
            get { return _entityList; }
            set { _entityList = value; }
        }

        public UltraDropDown CreateDropdown()
        {
            UltraDropDown dropdown = new UltraDropDown();
            dropdown.DisplayLayout.MaxBandDepth = 1;
            EntityBindingSource.DataSource = CreateIntLookupList();
            dropdown.DataSource = EntityBindingSource;
            dropdown.DisplayMember = "Code";
            dropdown.ValueMember = "Code";
            return dropdown;
        }
        public List<StrLookupObject> CreateIntLookupList()
        {
            List<StrLookupObject> lookupList = new List<StrLookupObject>();
            StrLookupObject obj1 = new StrLookupObject();
            obj1.Code = "ONE";
            obj1.Name = "One";
            lookupList.Add(obj1);
            StrLookupObject obj2 = new StrLookupObject();
            obj2.Code = "TWO";
            obj2.Name = "Two";
            lookupList.Add(obj2);
            return lookupList;
        }
    }
}
